Index: trunk/wikifiles/plastic-slices/rspecs/plastic-103/openflow-bbn-plastic-103.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-103/openflow-bbn-plastic-103.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-103/openflow-bbn-plastic-103.rspec	(revision 1201)
@@ -1,50 +1,56 @@
-<!-- 
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
 This rspec will reserve the OpenFlow resources at BBN used by the
 plastic-103 slice.
 
-AM: https://expedient.gpolab.bbn.com:1443/openflow/gapi/
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="plastic-103 OpenFlow resources at BBN."
+                   email="jbs@bbn.com">
 
-  <project name="plastic-103@bbn" description="Plastic Slices slice 103 at BBN"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33103" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33103" name="naxos-33103" description="The FlowVisor on naxos, for plastic-103."/>
+    <openflow:group name="habanero-1750-i2-plnodes">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+	<openflow:port num="49"/>
+	<openflow:port num="50"/>
+	<openflow:port num="51"/>
+	<openflow:port num="71"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
- 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:49"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:50"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:51"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:55"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:56"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:71"/>
+    <openflow:group name="poblano-1750-i2-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="9"/>
+        <openflow:port num="20"/>
+      </openflow:datapath>
+    </openflow:group>
 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:9"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:20"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.103.0" to="10.42.103.255"/>
+      <openflow:use-group name="habanero-1750-i2-plnodes" />
+      <openflow:use-group name="poblano-1750-i2-3715" />
 
-  </flowspace>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.103.0/24"/>
+        <openflow:nw_src value="10.42.103.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
+    </openflow:match>
 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:49"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:50"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:51"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:55"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:56"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:24:a8:c4:b9:00+port:71"/>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:9"/>
-    <port urn="urn:publicid:IDN+tulum.gpolab.bbn.com:expedient:openflow+switch:06:d6:00:12:e2:b8:a5:d0+port:20"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.103.0" to="10.42.103.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
